Page MenuHomePhabricator

FRR route-map ipv6-next-hop fix
Closed, ResolvedPublicBUG

Description

Removing the set ipv6-next-hop local|global ipv6-prefix from a rule in a route-map requires the ipv6-prefix in FRR.

Trying the next fix seems to work:

--- /home/vyos/ipv6-next-hop.def        2018-08-25 22:35:35.464165100 +0200
+++ /opt/vyatta/share/vyatta-cfg/templates/policy/route-map/node.tag/rule/node.tag/set/ipv6-next-hop/global/node.def    2018-08-25 22:31:57.084165100 +0200
@@ -11,4 +11,4 @@

 delete: vtysh -c "configure terminal" \
          -c "route-map $VAR(../../../../@) $VAR(../../../action/@) $VAR(../../../@)" \
-         -c "no set ipv6 next-hop global"
+         -c "no set ipv6 next-hop global $VAR(@)"

Details

Difficulty level
Easy (less than an hour)
Version
1.2.0-20180824-frr
Why the issue appeared?
Will be filled on close

Event Timeline

Merijn changed the task status from Open to In progress.Aug 25 2018, 8:37 PM
Merijn created this task.
Merijn changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
syncer assigned this task to dmbaturin.Sep 1 2018, 2:28 PM
syncer triaged this task as Normal priority.
pasik added a subscriber: pasik.Oct 1 2018, 9:50 AM
syncer closed this task as Resolved.Oct 15 2018, 10:17 PM
syncer added a project: VyOS-1.2.0-GA.